local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local htmlTexture = require("htmlTexture")

local neonMaterialName = nil
local htmlPath = nil
local updateFPS = 15
local neonrR = 0
local neonrG = 0
local neonrB = 0
local function init(jbeamData)
	neonMaterialName = jbeamData.materialName
	htmlPath = jbeamData.htmlPath
	local width = jbeamData.textureWidth or 16
	local height = jbeamData.textureHeight or 16
	local data = {}
	data.neonrR = jbeamData.neonrR
	data.neonrG = jbeamData.neonrG
	data.neonrG = jbeamData.neonrB

    htmlTexture.create(neonMaterialName, htmlPath, width, height, updateFPS, "automatic")
	htmlTexture.call(neonMaterialName, "init", data)
end

M.init = init
M.updateGFX = nop

return M
